{% extends "quizapp/base.html" %}
{% block title %} | Tým {{ team.name }}{% endblock %}
{% block body %}
    <h3 style="padding: calc(1rem + 30px)">Tým {{ team.name }}</h3>
    <div class="row justify-content-around" style="padding: 1rem">
        <div class="card bg-light col-lg-7 col-sm-11">
            <div class="card-body">
                <div class="row">
                    <div class="col-8 d-flex  align-items-center">
                        <h5 class="card-title">Kvízy: </h5>
                    </div>
                    <div class="col-4  vcenter-item wrapper">
{#                        <a class="btn btn-danger" href="{% url 'deletetopic' topic.id %}" role="button" style="float: right; margin: 5px">Smazat</a>#}
                        <a class="btn btn-primary" href="{% url 'registrations' team.id %}" role="button" style="float: right; margin: 5px">Spravovat registrace</a>
                    </div>
                </div>
                <hr/>
                <div class="row" style="padding: 0.25rem 0 0.25rem 0;">
                    <div class="col-12">
                        <b>Nadcházející: </b>
                        {% for quiz in upcoming_quizzes %}
                             <a href="{% url 'quiz' quiz.id %}">
                                <p style="padding: 1rem">{{ quiz.start|date:"d. m. Y" }}
                                    {% if quiz.start|date:"d. m. Y" != quiz.end|date:"d. m. Y" %}
                                        - {{ quiz.end|date:"d. m. Y" }}
                                    {% endif %}
                                </p>
                            </a>
                        {% endfor %}
                    </div>
                </div>
                <hr/>
                <div class="row" style="padding: 0.25rem 0 0.25rem 0;">
                    <div class="col-12">
                        <b>Proběhlé: </b>
                        {% for quiz in passed_quizzes %}
                             <a href="{% url 'quiz' quiz.id %}">
                                <p style="padding: 1rem">{{ quiz.start|date:"d. m. Y" }}
                                    {% if quiz.start|date:"d. m. Y" != quiz.end|date:"d. m. Y" %}
                                        - {{ quiz.end|date:"d. m. Y" }}
                                    {% endif %}
                                </p>
                            </a>
                        {% endfor %}
                    </div>
                </div>
            </div>
        </div>
        <div class="card bg-light col-lg-4 col-sm-11">
            <div class="card-body">
                <div class="row">
                    <div class="col-8 d-flex  align-items-center">
                        <h5 class="card-title">Informace: </h5>
                    </div>
                    <div class="col-4  vcenter-item wrapper">
{#                        <a class="btn btn-danger" href="{% url 'deletetopic' topic.id %}" role="button" style="float: right; margin: 5px">Smazat</a>#}
                        <a class="btn btn-primary" href="{% url 'editteam' team.id %}" role="button" style="float: right; margin: 5px">Upravit</a>
                    </div>
                </div>
                <hr/>
                <div class="row" style="padding: 0.25rem 0 0.25rem 0;">
                    <div class="col-6">
                        <b>Název týmu: </b>
                    </div>
                    <div class="col-6">
                        {{ team.name }}
                    </div>
                </div>
                <div class="row" style="padding: 0.25rem 0 0.25rem 0;">
                    <div class="col-6">
                        <b>Jméno kapitána: </b>
                    </div>
                    <div class="col-6">
                        {{ team.captain_name }}
                    </div>
                </div>
                <div class="row" style="padding: 0.25rem 0 0.25rem 0;">
                    <div class="col-6">
                        <b>Příjmení kapitána: </b>
                    </div>
                    <div class="col-6">
                        {{ team.captain_surname }}
                    </div>
                </div>
                <div class="row" style="padding: 0.25rem 0 0.25rem 0;">
                    <div class="col-6">
                        <b>Telefonní číslo: </b>
                    </div>
                    <div class="col-6">
                        {{ team.phone_number }}
                    </div>
                </div>
                <div class="row" style="padding: 0.25rem 0 0.25rem 0;">
                    <div class="col-6">
                        <b>E-mail: </b>
                    </div>
                    <div class="col-6">
                        {{ team.email }}
                    </div>
                </div>
                <div class="row" style="padding: 0.25rem 0 0.25rem 0;">
                    <div class="col-6">
                        <b>Počet členů: </b>
                    </div>
                    <div class="col-6">
                        {{ team.number_of_members }}
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row justify-content-end" style="padding-right: calc(1rem + 30px)">
        <a class="btn btn-danger" href="{% url 'deleteteam' team.id %}" role="button" style="float: right; margin: 5px">Smazat</a>
    </div>
{% endblock %}
